/*
 * File:     $Id: TestBean.java 14050 2016-01-21 23:12:46Z lsteffen $
 * Version:  $Revision: 14050 $
 * Copyright (c) 2011 CSG Systems International, Inc. and/or its affiliates ("CSG"). All rights reserved.
 */
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;
import javax.faces.event.ActionEvent;

/**
 * The backing bean for our test scenarios.
 *
 * @author lsteffen
 */
@ManagedBean(name = "TestBean")
@RequestScoped
public class TestBean {

    @ManagedProperty(value = "#{pushView}")
    private PushView viewBean;

    public void setViewBean(PushView bean) {
        this.viewBean = bean;
    }

    /**
     * The action handler for the Flood link.
     * @param event
     */
    public void testFlood(final ActionEvent event) {
        PushView.getBean().startFlood();
    }
}
